# Shower

HTML presentation engine. Follow [@shower_me](http://twitter.com/shower_me/) for support and updates.

To see Shower in action:

- Open [shwr.me](http://shwr.me/)
- Click any slide to enter presentation mode
- Use arrow keys to navigate
- Press `Esc` to exit presentation mode

See more details on [using keyboard](shower/wiki/Shortcuts) to control Shower.

## Taking Shower

There are two ways of taking Shower: you can get full template or just an engine.

To get full [template](https://github.com/shower/template) based on [shower](https://github.com/shower/shower) engine and [ribbon](https://github.com/shower/ribbon) theme run following command:

```
git clone --recursive git@github.com:shower/template.git
```

To get only [shower](https://github.com/shower/shower) engine including [ribbon](https://github.com/shower/ribbon) theme, run this:

```
git clone --recursive git@github.com:shower/shower.git
```

Or you can just download latest version as ZIP file: [template](http://shwr.me/template.zip) or [shower](http://shwr.me/shower.zip).

## Printing to PDF

You can print your presentation to PDF using Google Chrome “Print to PDF” option in print dialog, [wkhtmltopdf](http://code.google.com/p/wkhtmltopdf) or [Prince XML](http://princexml.com). Print styles should be supplied to a theme for proper results. Please see [print styles](https://github.com/shower/ribbon/blob/master/styles/print.scss) for the Ribbon theme as example.

Example of Shower template printed by Google Chrome: [PDF, 2.3 MB](https://github.com/shower/template/blob/master/index.pdf?raw=true).

## Usage examples

- [Clear and Sharp](http://pepelsbey.net/pres/clear-and-sharp/)
- [CSS Management](http://pepelsbey.net/pres/css-management/)
- [Push it!](http://pepelsbey.net/pres/push-it/)
- [Pre-fixes](http://pepelsbey.net/pres/pre-fixes/)
- [Web In Curves](http://pepelsbey.net/pres/web-in-curves/)
- [Sense Coding](http://pepelsbey.net/pres/sense-coding/)
- [Dynamic Graphics](http://pepelsbey.net/pres/dynamic-graphics/)

## Browser support

Supported desktop browsers: Chrome, Internet Explorer, Firefox, Opera, Safari. Only latest stable versions of mentioned browsers are supported.

## Contributing

You're always welcome to contibute. Fork project, make changes and send it as pull request. But it's better to file an [issue](http://github.com/shower/shower/issues) with your idea first. Read [contributing rules](https://github.com/shower/shower/blob/master/Contributing.md) for more details.

Main contributors: [pepelsbey](http://github.com/pepelsbey), [jahson](http://github.com/jahson), [miripiruni](http://github.com/miripiruni), [kizu](http://github.com/kizu).

---
Licensed under [MIT License](http://en.wikipedia.org/wiki/MIT_License), see [license page](shower/wiki/MIT-License) for details.